## gate.gui
Class AnnotDiffDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--gate.gui.AnnotDiffDialog

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, RootPaneContainer, Serializable, WindowConstants

class AnnotDiffDialog
extends JFrame

This class wraps the `AnnotationDiff` one. It adds the the GUI functionality needed to set up params for AnnotationDiff and also adds the AnnotationDiff as a tool in GATE.

See Also:
  Serialized Form

Inner Class Summary
`(package private) class` `AnnotDiffDialog.DiffRunner` Inner class used to run an annot.
`(package private) class` `AnnotDiffDialog.MyCellRenderer` Inner class that adds a tool tip to the combo boxes with key and response documents.

Inner classes inherited from class javax.swing.JFrame
`JFrame.AccessibleJFrame`

Inner classes inherited from class java.awt.Frame
`Frame.AccessibleAWTFrame`

Inner classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.AWTTreeLock`

Field Summary
`(package private) JRadioButton` `allFeaturesRadio` A Radio button for selecting all features that would be used in diff
`(package private) AnnotationDiff` `annotDiff` A reference to annotDiff object that does the diff
`(package private) Map` `documentsMap` A map from documentName 2 GATE document It is used to display names in combo boxes
`(package private) JButton` `evalButton` Renders the button which triggers the diff process
`(package private) JLabel` `falsePozLabel` Renders the text label for falsePozTypeComboBox
`(package private) JComboBox` `falsePozTypeComboBox` Renders annot types used in calculating falsPoz measure
`(package private) Set` `falsePozTypes` A set containing annot types for calculating falsePoz measure
`(package private) CollectionSelectionDialog` `featureSelectionDialog` A selection dialog used in case that the user selects some radio button
`(package private) ButtonGroup` `groupRadios` A group buttons for the 3 Radio buttons above
`(package private) JSplitPane` `jSplit` A split between configuration pannel and AnnotDifff
`(package private) Map` `keyAnnotationSetMap` A map from AnnotationSetNames 2 AnnotationSets, used to display AnnotSets in combo boxes
`(package private) JComboBox` `keyDocAnnotSetComboBox` Renders the annotation sets that come from the key document
`(package private) JLabel` `keyDocAnnotSetLabel` Renders the text label for keyDocComboBox
`(package private) JComboBox` `keyDocComboBox` Renders key documents
`(package private) JLabel` `keyLabel` Renders the text label for keyDocAnnotSetComboBox
`(package private) MainFrame` `mainFrame` AnnotDiff's tool parent frame
`(package private) JRadioButton` `noFeaturesRadio` A Radio button for selecting no features that would be used in diff
`(package private) Map` `responseAnnotationSetMap` A map from AnnotationSetNames 2 AnnotationSets, used to display AnnotSets in combo boxes
`(package private) JComboBox` `responseDocAnnotSetComboBox` Renders the annotation sets that come from the response document
`(package private) JComboBox` `responseDocAnnotSetFalsePozComboBox` Renders the annotation sets that come from the response document and used in calculating falsePoz measure
`(package private) JLabel` `responseDocAnnotSetFalsePozLabel` Renders the text label for responseDocComboBox used in calc falsePoz.
`(package private) JLabel` `responseDocAnnotSetLabel` Renders the text label for responseDocComboBox
`(package private) JComboBox` `responseDocComboBox` Renders response documents
`(package private) JLabel` `responseLabel` Renders the text label for responseDocAnnotSetComboBox
`(package private) JLabel` `selectFeaturesLabel` A label for Radio Buttons selection
`(package private) JRadioButton` `someFeaturesRadio` A Radio button for selecting certian features that would be used in diff
`(package private) AnnotDiffDialog` `thisAnnotDiffDialog` A pointer to this object used in some internal classes
`(package private) JComboBox` `typesComboBox` Renders annot types which come from intersecting keyAnnotSet with responseAnnotSet
`(package private) JLabel` `typesLabel` Renders the text label for typesComboBox
`(package private) Map` `typesMap` A map from Annotation types 2 AnnotationSchema, used to display annotations in combo boxes
`(package private) JLabel` `weightLabel` Renders the label for weightTextField
`(package private) JTextField` `weightTextField` Renders the value of weight used in calculating F measure

Fields inherited from class javax.swing.JFrame
`accessibleContext, defaultCloseOperation, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`base, CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, frameSerializedDataVersion, HAND_CURSOR, icon, ICONIFIED, mbManagement, menuBar, MOVE_CURSOR, N_RESIZE_CURSOR, nameCounter, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, ownedWindows, resizable, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, serialVersionUID, state, SW_RESIZE_CURSOR, TEXT_CURSOR, title, W_RESIZE_CURSOR, WAIT_CURSOR, weakThis`

Fields inherited from class java.awt.Window
`active, dbg, focusMgr, inputContext, inputContextLock, OPENED, ownedWindowList, warningString, windowListener, windowSerializedDataVersion`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dispatcher, layoutMgr, listeningBoundsChildren, listeningChildren, maxSize, ncomponents, printing, printingThreads`

Fields inherited from class java.awt.Component

`actionListenerK, adjustmentListenerK, appContext, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, changeSupport, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, graphicsConfig, hasFocus, height, hierarchyBoundsListener, hierarchyBoundsListenerK, hierarchyListener, hierarchyListenerK, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, metrics, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, privateKey, RIGHT_ALIGNMENT, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowClosingException, windowListenerK, x, y`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AnnotDiffDialog(MainFrame aMainFrame)` Constructs an annotDiffDialog object having as parent aMainFrame

Method Summary
`private void` `collectSomeFeatures()` Activates the CollectionSelectionDialog in order to colect those feature from key that will take part in the diff process
`private void` `doDiff()` This method starts AnnotationDiff tool in a separate thread.
`String` `getCurrentWeight()` It returns the current weight
`String` `getSelectedFalsePozAnnot()` It returns the selected Annotation to calculate the False Pozitive
`String` `getSelectedKeyAnnotationSetName()` It returns the selected key AnnotationSet name.
`Document` `getSelectedKeyDocument()` It returns the selected KEY gate.Document
`String` `getSelectedResponseAnnotationSetName()` It returns the selected response AnnotationSet name.It returns null for the default annotation set.
`String` `getSelectedResponseAnnotationSetNameFalsePoz()` It returns the selected response AnnotationSet name for False Poz.
`Document` `getSelectedResponseDocument()` It returns the selected RESPONSE gate.Document
`AnnotationSchema` `getSelectedSchema()` It returns the selected SCHEMA
`private void` `initAnnotTypes()` Reads the selected keyDocument + the selected responseDocument and also reads the selected annotation sets from Key and response and intersects the annotation types.
`private void` `initAnnotTypesFalsePoz()` Initializes the annotations for false Poz masure
`void` `initGuiComponents()` This method initializes the GUI components.
`private void` `initKeyAnnotSetNames()` Reads the selected keyDocument + the selected responseDocument and fill the two combo boxes called keyDocAnnotSetComboBox and responseDocAnnotSetComboBox.
`void` `initListeners()` This one initializes the listeners fot the GUI components
`void` `initLocalData()` Initialises the data needed to set up `AnnotationDiff` GUI components will be build using this data.
`private void` `initResponseAnnotSetNames()` Reads the selected responseDocument and fill the combo box called responseDocAnnotSetFalsePozComboBox as well as responseDocAnnotSetComboBox.
`(package private) void` `this_windowClosing(WindowEvent e)` This method is called when the user want to close the tool.
`void` `updateData()` This method is called when adding or removing a document

Methods inherited from class javax.swing.JFrame

`addImpl, createRootPane, createRootPaneException, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`<clinit>, addNotify, addToFrameList, constructComponentName, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, initIDs, isResizable, postProcessKeyEvent, readObject, remove, removeFromFrameList, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle, writeObject`

Methods inherited from class java.awt.Window

`addOwnedWindow, addWindowListener, adjustListeningChildren, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, dispose, eventEnabled, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, hide, isActive, isShowing, nextFocus, ownedInit, pack, postEvent, postWindowEvent, preProcessKeyEvent, processEvent, removeOwnedWindow, removeWindowListener, resetGC, setCursor, setFocusOwner, setWarningString, show, toBack, toFront, transferFocus`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyOrientation, checkGD, countComponents, createChildHierarchyEvents, createHierarchyEvents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, findComponentAt, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPaint, lightweightPrint, list, list, locate, minimumSize, numListening, paint, paintComponents, paintHeavyweightComponents, postsOldMouseEvents, preferredSize, print, printComponents, printHeavyweightComponents, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, checkWindowClosingException, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAccessibleIndexInParent, getAccessibleStateSet, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen_NoTreeLock, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getWindowForObject, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isRecursivelyVisible, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### documentsMap

    Map documentsMap

  A map from documentName 2 GATE document It is used to display names in combo boxes

### keyAnnotationSetMap

    Map keyAnnotationSetMap

  A map from AnnotationSetNames 2 AnnotationSets, used to display AnnotSets in combo boxes

### responseAnnotationSetMap

    Map responseAnnotationSetMap

  A map from AnnotationSetNames 2 AnnotationSets, used to display AnnotSets in combo boxes

### typesMap

    Map typesMap

  A map from Annotation types 2 AnnotationSchema, used to display annotations in combo boxes

### falsePozTypes

    Set falsePozTypes

  A set containing annot types for calculating falsePoz measure

### mainFrame

    MainFrame mainFrame

  AnnotDiff's tool parent frame

### thisAnnotDiffDialog

    AnnotDiffDialog thisAnnotDiffDialog

  A pointer to this object used in some internal classes

### keyDocComboBox

    JComboBox keyDocComboBox

  Renders key documents

### responseDocComboBox

    JComboBox responseDocComboBox

  Renders response documents

### typesComboBox

    JComboBox typesComboBox

  Renders annot types which come from intersecting keyAnnotSet with responseAnnotSet

### falsePozTypeComboBox

    JComboBox falsePozTypeComboBox

  Renders annot types used in calculating falsPoz measure

### responseDocAnnotSetFalsePozComboBox

    JComboBox responseDocAnnotSetFalsePozComboBox

  Renders the annotation sets that come from the response document and used in calculating falsePoz measure

### keyDocAnnotSetComboBox

    JComboBox keyDocAnnotSetComboBox

  Renders the annotation sets that come from the key document

### responseDocAnnotSetComboBox

    JComboBox responseDocAnnotSetComboBox

  Renders the annotation sets that come from the response document

### keyLabel

    JLabel keyLabel

  Renders the text label for keyDocAnnotSetComboBox

### responseLabel

    JLabel responseLabel

  Renders the text label for responseDocAnnotSetComboBox

### typesLabel

    JLabel typesLabel

  Renders the text label for typesComboBox

### falsePozLabel

    JLabel falsePozLabel

  Renders the text label for falsePozTypeComboBox

### keyDocAnnotSetLabel

    JLabel keyDocAnnotSetLabel

  Renders the text label for keyDocComboBox

### responseDocAnnotSetLabel

    JLabel responseDocAnnotSetLabel

  Renders the text label for responseDocComboBox

### responseDocAnnotSetFalsePozLabel

    JLabel responseDocAnnotSetFalsePozLabel

  Renders the text label for responseDocComboBox used in calc falsePoz.

### weightLabel

    JLabel weightLabel

  Renders the label for weightTextField

### weightTextField

    JTextField weightTextField

  Renders the value of weight used in calculating F measure

### evalButton

    JButton evalButton

  Renders the button which triggers the diff process

### annotDiff

    AnnotationDiff annotDiff

  A reference to annotDiff object that does the diff

### jSplit

    JSplitPane jSplit

  A split between configuration pannel and AnnotDifff

### someFeaturesRadio

    JRadioButton someFeaturesRadio

  A Radio button for selecting certian features that would be used in diff

### noFeaturesRadio

    JRadioButton noFeaturesRadio

  A Radio button for selecting no features that would be used in diff

### allFeaturesRadio

    JRadioButton allFeaturesRadio

  A Radio button for selecting all features that would be used in diff

### groupRadios

    ButtonGroup groupRadios

  A group buttons for the 3 Radio buttons above

### selectFeaturesLabel

    JLabel selectFeaturesLabel

  A label for Radio Buttons selection

### featureSelectionDialog

    CollectionSelectionDialog featureSelectionDialog

  A selection dialog used in case that the user selects some radio button

Constructor Detail

### AnnotDiffDialog

    public AnnotDiffDialog(MainFrame aMainFrame)

  Constructs an annotDiffDialog object having as parent aMainFrame
  Parameters:
    `aMainFrame` - the parent frame for this AnnotDiffDialog. If can be null, meaning no parent.

Method Detail

### updateData

    public void updateData()

  This method is called when adding or removing a document

### initLocalData

    public void initLocalData()

  Initialises the data needed to set up `AnnotationDiff` GUI components will be build using this data.

### initGuiComponents

    public void initGuiComponents()

  This method initializes the GUI components. Data is loaded from localData fields.

### this_windowClosing

    void this_windowClosing(WindowEvent e)

  This method is called when the user want to close the tool. See initListeners() method for more details

### doDiff

    private void doDiff()

  This method starts AnnotationDiff tool in a separate thread.

### initListeners

    public void initListeners()

  This one initializes the listeners fot the GUI components

### collectSomeFeatures

    private void collectSomeFeatures()

  Activates the CollectionSelectionDialog in order to colect those feature from key that will take part in the diff process

### initAnnotTypesFalsePoz

    private void initAnnotTypesFalsePoz()

  Initializes the annotations for false Poz masure

### initAnnotTypes

    private void initAnnotTypes()

  Reads the selected keyDocument + the selected responseDocument and also reads the selected annotation sets from Key and response and intersects the annotation types. The result is the typesComboBox which is filled with the intersected types.

### initKeyAnnotSetNames

    private void initKeyAnnotSetNames()

  Reads the selected keyDocument + the selected responseDocument and fill the two combo boxes called keyDocAnnotSetComboBox and responseDocAnnotSetComboBox.

### initResponseAnnotSetNames

    private void initResponseAnnotSetNames()

  Reads the selected responseDocument and fill the combo box called responseDocAnnotSetFalsePozComboBox as well as responseDocAnnotSetComboBox.

### getSelectedKeyDocument

    public Document getSelectedKeyDocument()

  It returns the selected KEY gate.Document

### getSelectedResponseDocument

    public Document getSelectedResponseDocument()

  It returns the selected RESPONSE gate.Document

### getSelectedSchema

    public AnnotationSchema getSelectedSchema()

  It returns the selected SCHEMA

### getCurrentWeight

    public String getCurrentWeight()

  It returns the current weight

### getSelectedFalsePozAnnot

    public String getSelectedFalsePozAnnot()

  It returns the selected Annotation to calculate the False Pozitive

### getSelectedKeyAnnotationSetName

    public String getSelectedKeyAnnotationSetName()

  It returns the selected key AnnotationSet name. It returns null for the default annotation set.

### getSelectedResponseAnnotationSetName

    public String getSelectedResponseAnnotationSetName()

  It returns the selected response AnnotationSet name.It returns null for the default annotation set.

### getSelectedResponseAnnotationSetNameFalsePoz

    public String getSelectedResponseAnnotationSetNameFalsePoz()

  It returns the selected response AnnotationSet name for False Poz. It returns null for the default annotation set.